<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>ChangeSetExecutor (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ChangeSetExecutor (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":9,"i4":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.Type.html" title="enum in com.sk89q.worldedit.function.operation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/operation/ChangeSetExecutor.html" target="_top">Frames</a></li>
<li><a href="ChangeSetExecutor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.function.operation</div>
<h2 title="Class ChangeSetExecutor" class="title">Class ChangeSetExecutor</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.function.operation.ChangeSetExecutor</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ChangeSetExecutor</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></pre>
<div class="block">Performs an undo or redo from a given <a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html" title="interface in com.sk89q.worldedit.history.changeset"><code>ChangeSet</code></a>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.Type.html" title="enum in com.sk89q.worldedit.function.operation">ChangeSetExecutor.Type</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.html#addStatusMessages-java.util.List-">addStatusMessages</a></span>(java.util.List&lt;java.lang.String&gt;&nbsp;messages)</code>
<div class="block">Add messages to the provided list that describe the current status
 of the operation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.html#cancel--">cancel</a></span>()</code>
<div class="block">Abort the current task.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.html" title="class in com.sk89q.worldedit.function.operation">ChangeSetExecutor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.html#createRedo-com.sk89q.worldedit.history.changeset.ChangeSet-com.sk89q.worldedit.history.UndoContext-">createRedo</a></span>(<a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html" title="interface in com.sk89q.worldedit.history.changeset">ChangeSet</a>&nbsp;changeSet,
          <a href="../../../../../com/sk89q/worldedit/history/UndoContext.html" title="class in com.sk89q.worldedit.history">UndoContext</a>&nbsp;context)</code>
<div class="block">Create a new redo operation.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.html" title="class in com.sk89q.worldedit.function.operation">ChangeSetExecutor</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.html#createUndo-com.sk89q.worldedit.history.changeset.ChangeSet-com.sk89q.worldedit.history.UndoContext-">createUndo</a></span>(<a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html" title="interface in com.sk89q.worldedit.history.changeset">ChangeSet</a>&nbsp;changeSet,
          <a href="../../../../../com/sk89q/worldedit/history/UndoContext.html" title="class in com.sk89q.worldedit.history">UndoContext</a>&nbsp;context)</code>
<div class="block">Create a new undo operation.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.html#resume-com.sk89q.worldedit.function.operation.RunContext-">resume</a></span>(<a href="../../../../../com/sk89q/worldedit/function/operation/RunContext.html" title="class in com.sk89q.worldedit.function.operation">RunContext</a>&nbsp;run)</code>
<div class="block">Complete the next step.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="resume-com.sk89q.worldedit.function.operation.RunContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resume</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a>&nbsp;resume(<a href="../../../../../com/sk89q/worldedit/function/operation/RunContext.html" title="class in com.sk89q.worldedit.function.operation">RunContext</a>&nbsp;run)
                 throws <a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#resume-com.sk89q.worldedit.function.operation.RunContext-">Operation</a></code></span></div>
<div class="block">Complete the next step. If this method returns true, then the method may
 be called again in the future, or possibly never. If this method
 returns false, then this method should not be called again.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#resume-com.sk89q.worldedit.function.operation.RunContext-">resume</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>run</code> - describes information about the current run</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>another operation to run that operation again, or null to stop</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - an error</dd>
</dl>
</li>
</ul>
<a name="cancel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cancel</h4>
<pre>public&nbsp;void&nbsp;cancel()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#cancel--">Operation</a></code></span></div>
<div class="block">Abort the current task. After the this method is called,
 <a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#resume-com.sk89q.worldedit.function.operation.RunContext-"><code>Operation.resume(RunContext)</code></a> should not be called at any point in the
 future. This method should not be called after successful completion of
 the operation. This method must be called if the operation is
 interrupted before completion.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#cancel--">cancel</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></dd>
</dl>
</li>
</ul>
<a name="addStatusMessages-java.util.List-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addStatusMessages</h4>
<pre>public&nbsp;void&nbsp;addStatusMessages(java.util.List&lt;java.lang.String&gt;&nbsp;messages)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#addStatusMessages-java.util.List-">Operation</a></code></span></div>
<div class="block">Add messages to the provided list that describe the current status
 of the operation.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html#addStatusMessages-java.util.List-">addStatusMessages</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/function/operation/Operation.html" title="interface in com.sk89q.worldedit.function.operation">Operation</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>messages</code> - The list to add messages to</dd>
</dl>
</li>
</ul>
<a name="createUndo-com.sk89q.worldedit.history.changeset.ChangeSet-com.sk89q.worldedit.history.UndoContext-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>createUndo</h4>
<pre>public static&nbsp;<a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.html" title="class in com.sk89q.worldedit.function.operation">ChangeSetExecutor</a>&nbsp;createUndo(<a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html" title="interface in com.sk89q.worldedit.history.changeset">ChangeSet</a>&nbsp;changeSet,
                                           <a href="../../../../../com/sk89q/worldedit/history/UndoContext.html" title="class in com.sk89q.worldedit.history">UndoContext</a>&nbsp;context)</pre>
<div class="block">Create a new undo operation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>changeSet</code> - the change set</dd>
<dd><code>context</code> - an undo context</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an operation</dd>
</dl>
</li>
</ul>
<a name="createRedo-com.sk89q.worldedit.history.changeset.ChangeSet-com.sk89q.worldedit.history.UndoContext-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createRedo</h4>
<pre>public static&nbsp;<a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.html" title="class in com.sk89q.worldedit.function.operation">ChangeSetExecutor</a>&nbsp;createRedo(<a href="../../../../../com/sk89q/worldedit/history/changeset/ChangeSet.html" title="interface in com.sk89q.worldedit.history.changeset">ChangeSet</a>&nbsp;changeSet,
                                           <a href="../../../../../com/sk89q/worldedit/history/UndoContext.html" title="class in com.sk89q.worldedit.history">UndoContext</a>&nbsp;context)</pre>
<div class="block">Create a new redo operation.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>changeSet</code> - the change set</dd>
<dd><code>context</code> - an undo context</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an operation</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/function/operation/ChangeSetExecutor.Type.html" title="enum in com.sk89q.worldedit.function.operation"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/function/operation/ChangeSetExecutor.html" target="_top">Frames</a></li>
<li><a href="ChangeSetExecutor.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
